Template Erstellen nicht möglich

Fragen und Infos zur Installation & Update von webEdition.
uheynitz
Junior Member
Beiträge: 20
Registriert: Mi 9. Mär 2011, 12:12

Template Erstellen nicht möglich

Beitragvon uheynitz » Di 23. Okt 2018, 14:34

Hallo,
ich habe eine frische WebEdition Installation (8.0.4) für einen Kunden vorgenommen.
Das Ganze läuft bei STRATO (leider); die Installation hat auch gut funktioniert.
Beim Abspeichern eines Templates (auch wenn es nur das Default-Template von WE ist), erhalte ich eine Fehlermeldung:
"Fehler beim Abspeichern der Vorlage".
Das Fehler-Protokoll folgt gleich weiter unten.
PHP-Version ist 5.6.38
MqSQL 5.6.41

Hat jemand eine Lösung/Idee?

Herzliche Grüße
Uwe Heynitz

ID: 210
--------------------------------------------------------------------------------
Type: Warning
--------------------------------------------------------------------------------
Function: errorHandler
--------------------------------------------------------------------------------
File:
--------------------------------------------------------------------------------
Line: 0
--------------------------------------------------------------------------------
Text: mysqli::options() expects parameter 1 to be long, string given
--------------------------------------------------------------------------------
Backtrace: #0 we_base_errorHandler::errorHandler called at [:]
#1 mysqli->options called at [webEdition/we/include/we_classes/database/we_database_mysqli.class.php:114]
#2 DB_WE->connect called at [webEdition/we/include/we_classes/database/we_database_base.class.php:296]
#3 we_database_base->_connect called at [webEdition/we/include/we_classes/database/we_database_base.class.php:238]
#4 we_database_base->__construct called at [webEdition/we/include/we.inc.php:99]
#5 require_once(DOCUMENT_ROOT/webEdition/we/include/we.inc.php) called at [webEdition/we_cmd.php:23]

--------------------------------------------------------------------------------
Date: 2018-10-23 14:25:32
--------------------------------------------------------------------------------
Source-Code: webEdition/we/include/we_classes/database/we_database_mysqli.class.php:
113: $this->Link_ID->options(MYSQLI_OPT_CONNECT_TIMEOUT, 60);
114: $this->Link_ID->options(MYSQLI_OPT_INT_AND_FLOAT_NATIVE, 1);
115: if((!@$this->Link_ID->real_connect($Host, $User, $Password, $Database, $Port, null, MYSQLI_CLIENT_COMPRESS) &&
116: !@$this->Link_ID->real_connect($Host, $User, $Password, $Database, $Port, null, MYSQLI_CLIENT_COMPRESS) &&
117: !@$this->Link_ID->real_connect($Host, $User, $Password, $Database, $Port, null, MYSQLI_CLIENT_COMPRESS)
118:

----------------------------------------------------------
webEdition/we/include/we_classes/database/we_database_base.class.php:
295: self::$linkCount++;
296: if(!$this->connect($this->Database)){
297: return false;
298: }
299: }
300: return $this->Link_ID;

----------------------------------------------------------
webEdition/we/include/we_classes/database/we_database_base.class.php:
237: $this->Database = $Database;
238: if(!$this->_connect()){
239: if(file_exists(WEBEDITION_PATH . '/maintenance.inc.php')){
240: echo include(WEBEDITION_PATH . '/maintenance.inc.php');
241: } else {
242: echo (empty($GLOBALS['we']['ERROR']) ? '' : 'Problem Details:<br/>' . $GLOBALS['we']['ERROR']);

----------------------------------------------------------
webEdition/we/include/we.inc.php:
98:
99: $GLOBALS['DB_WE'] = new DB_WE();
100:
101: if(!(defined('NO_SESS') || defined('FROM_WE_SHOW_DOC'))){
102: $GLOBALS['we']['Charset']['Backend'] = WE_BACKENDCHARSET; //Bug 5771 schon in der Session wird ein vorläufiges Backendcharset benötigt
103: we_main_session::initSession();

----------------------------------------------------------
webEdition/we_cmd.php:
22: //start autoloader!
23: require_once('DOCUMENT_ROOT' . '/webEdition/we/include/we.inc.php');
24:
25: $cmd = we_base_request::_(we_base_request::STRING, 'we_cmd', '', 0);
26: if($cmd === 'OK'){
27: //we need this for htaccess checks

----------------------------------------------------------

--------------------------------------------------------------------------------
WE-Info:
Version: 8.0.4.0
SVN: 15901 trunk release h0
--------------------------------------------------------------------------------
System:
PHP: 5.6.38
max_execution_time: 0
memory_limit: 128M
short_open_tag: 1
post_max_size: 48M
max_input_vars: 4000
session.auto_start: 0
--------------------------------------------------------------------------------
Mysql:
type: mysqli_pconnect
protocol: 10
client: 5.5.52
host: rdbms.strato.de via TCP/IP
server: 5.6.41-log
database: DB3530824
encoding: utf8

mokraemer
Senior Member
Beiträge: 2837
Registriert: So 8. Aug 2010, 01:23
Wohnort: Mainz

Re: Template Erstellen nicht möglich

Beitragvon mokraemer » Mi 24. Okt 2018, 11:25

wende dich diesbezüglich bitte an den Strato Support. Der mysqli-Treiber ist falsch übersetzt (ohne mysqlnd).
webEdition-Kern-Entwickler

rhorbas
webEdition Gold Partner
webEdition Gold Partner
Beiträge: 183
Registriert: Do 1. Jan 1970, 02:00

Re: Template Erstellen nicht möglich

Beitragvon rhorbas » Mi 24. Okt 2018, 12:10

mokraemer hat geschrieben:
Mi 24. Okt 2018, 11:25
wende dich diesbezüglich bitte an den Strato Support. Der mysqli-Treiber ist falsch übersetzt (ohne mysqlnd).
Hast Du da genauere Infos? Mir fliegt das gerade bei Host Europe nach dem Update auf 8.0.4 um die Ohren. Muss man davor warnen, das Update zu machen? Wie kann man das vorher rausfinden? Wie kann es sein, dass die großen Hoster Strato *und* Host Europe einen Treiber falsch übersetzen?

Edit: Stimmt nicht, mir fliegt was anderes um die Ohren; ich hatte halt nach WE_BACKENDCHARSET gesucht und das hier gefunden ... dazu neuer Thread!

mokraemer
Senior Member
Beiträge: 2837
Registriert: So 8. Aug 2010, 01:23
Wohnort: Mainz

Re: Template Erstellen nicht möglich

Beitragvon mokraemer » Mi 24. Okt 2018, 12:24

Ja, Infos sind bspw. hier:
https://dev.mysql.com/downloads/connector/php-mysqlnd/
MySQL recommends using the MySQL native driver for PHP (mysqlnd) together with ext/mysqli or PDO_MySQL.
As of PHP 5.4, the mysqlnd library is a php.net compile time default to all PHP MySQL extensions. Also, the php.net Windows team is using mysqlnd for the official PHP Windows distribution since mysqlnd became available in PHP 5.3.
Du kannst es herausfinden, wenn du unter Systeminfos bei Mysql-Connection schaust, da steht entweder was mit mysqlnd oder eben nicht. Die Änderung ist aber bereits in 8.0.3 vorhanden - also nix neues von 8.0.4. Unschön trotzdem, das sie das nicht anpassen....

Das ist aber nicht der Grund warum das Speichern von Vorlagen nicht geht...
Wann hast du die 8.0.4 installiert? Kannst du mal eine Updatewiederholung machen? Hatte da nachträglich noch was gefixt, was scheinbar in ein paar PHP-Versionen Probleme gemacht hat.
webEdition-Kern-Entwickler

mokraemer
Senior Member
Beiträge: 2837
Registriert: So 8. Aug 2010, 01:23
Wohnort: Mainz

Re: Template Erstellen nicht möglich

Beitragvon mokraemer » Mi 24. Okt 2018, 14:10

ich hab eben noch etwas probiert aufgrund eines Hinweises:
mach mal die WE-Fehlerbehandlung an (sollte sie eigentlich sowieso!).
Du nutzt php 5.6? Scheint ein Bug in PHP 5 zu sein.
webEdition-Kern-Entwickler

mokraemer
Senior Member
Beiträge: 2837
Registriert: So 8. Aug 2010, 01:23
Wohnort: Mainz

Re: Template Erstellen nicht möglich

Beitragvon mokraemer » Mi 24. Okt 2018, 15:00

trotzdem bitte die Anfrage an Strato stellen, das ist schon unüblich die Erweiterung nicht zu aktivieren und sich aktiv gegen die Empfehlung der Entwickler zu stellen.
webEdition-Kern-Entwickler

uheynitz
Junior Member
Beiträge: 20
Registriert: Mi 9. Mär 2011, 12:12

Re: Template Erstellen nicht möglich

Beitragvon uheynitz » Mi 24. Okt 2018, 19:46

Hey, mokraemer,

VIELEN DANK!

Ich mache das hetzt mal alles inkl. STRATO Kontakt und melde mich dann, was dabei herausgekommen ist.

Herzliche Grüße,
Uwe

uheynitz
Junior Member
Beiträge: 20
Registriert: Mi 9. Mär 2011, 12:12

Re: Template Erstellen nicht möglich

Beitragvon uheynitz » Di 13. Nov 2018, 11:37

Aktueller Stand:
Ein STRATO Kontakt war mir nicht möglich, weil zwischen STRATO und mir noch eine IT-Firma zwischengeschaltet ist, die die STRATO Pflege innehat.
Ich habe WebEdition 8.0.4 deinstalliert und statt dessen 8.0.3 installiert.
Der Fehler tritt nun nicht mehr auf.
Ich mache mir nun aber Sorgen, was passiert, wenn die besagte zwischengeschaltete IT-Firma auf PHP 7.X umschaltet.
Fliegt mir dann nicht alles um die Ohren?
Ich versuche die gerade dazu zu bewegen, auf 7.X umzustellen, bevor ich tief in die Template-Erstellung einsteige. Das Problem scheint zu sein, dass der aktuelle Inhalt des Kunden auf PHP 7.X nicht mehr laufen wird.

mokraemer
Senior Member
Beiträge: 2837
Registriert: So 8. Aug 2010, 01:23
Wohnort: Mainz

Re: Template Erstellen nicht möglich

Beitragvon mokraemer » Di 13. Nov 2018, 13:16

nein, keine Sorge.
1. wir haben die Option in WE 8.0.5 noch mal auskommentiert, evtl. hab ich das auch nachgepatcht in 8.0.4 (weiß ich nicht mehr)
2. 8.x läuft mit php 7, was natürlich in den Templates für eigener Kode verbaut ist, kann ich wenig dazu sagen, aber php 7 wird bei vielen gegen Ende des Jahres sicher kommen - also lieber jetzt handeln. Wobei meiner Meinung nach die Änderungen von 5->7 nicht so tragisch sind. Vieles was vorher falsch war, wird halt stärker behandelt. Wenn du jetzt in WE das Fehlerlog anschaltest und alle Fehler loggst und entsprechend dich auch um die Notices / deprecated kümmerst, dann kommt nur wenig bei php7-Umstellung.
webEdition-Kern-Entwickler


Zurück zu „webEdition Installation & Update“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 6 Gäste